## ocp 0.2.0

=== asm_emu/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

all:

test-x86.o: test-x86.c ../config.h x86*.h
	$(CC) test-x86.c -o $@ -c

test-x86: test-x86.o
	$(CC) -o $@ $^ $(MATH_LIBS)

clean:
	rm -f *.o *$(LIB_SUFFIX) test-x86

install:

uninstall:

=== boot/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

all: kickload.o compdate.o psetting.o plinkman.o plinkman_end.o pmain.o console.o

clean:
	rm -f *.o *.a *$(LIB_SUFFIX)

install:

uninstall:

compdate.o: compdate.c \
	../config.h
	$(CC) compdate.c -o $@ -c

pmain.o: pmain.c pmain.h \
	../config.h \
	../types.h \
	plinkman.h \
	psetting.h \
	../stuff/err.h \
	../stuff/poutput.h
	$(CC) pmain.c -o $@ -c

psetting.o: psetting.c psetting.h \
	../config.h \
	../stuff/compat.h
	$(CC) psetting.c -o $@ -c

plinkman.o: plinkman.c plinkman.h \
	../config.h \
	../types.h \
	psetting.h \
	../stuff/compat.h
	$(CC) plinkman.c -o $@ -c

plinkman_end.o: plinkman_end.c plinkman.h \
	../config.h \
	../types.h
	$(CC) plinkman_end.c -o $@ -c


kickload.o: kickload.c \
	../config.h \
	../types.h \
	pmain.h \
	../Rules.make
	$(CC) kickload.c -o $@ -c

console.o: console.c console.h \
	../config.h \
	../types.h \
	../stuff/poutput.h
	$(CC) console.c -o $@ -c

=== cpiface/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(HAVE_LZW),1)
GIF_O=gif.o
endif

cpiface_so=fft.o cpianal.o cpichan.o cpidots.o cpiface.o cpigraph.o cpiinst.o cpikube.o cpilinks.o cpimsg.o cpimvol.o cpiphase.o cpipic.o cpiptype.o cpiscope.o cpitext.o cpitrack.o mcpedit.o $(GIF_O) tga.o volctrl.o

keyhelp_so=cpikeyhelp.o

ifeq ($(STATIC_BUILD),1)
all: $(cpiface_so) $(keyhelp_so)
else
all: cpiface$(LIB_SUFFIX) keyhelp$(LIB_SUFFIX)
endif

cpiface$(LIB_SUFFIX): $(cpiface_so)
	$(CC) $(SHARED_FLAGS) $(MATH_LIBS) -o $@ $^

keyhelp$(LIB_SUFFIX): $(keyhelp_so)
	$(CC) $(SHARED_FLAGS) $(MATH_LIBS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX)

ifeq ($(STATIC_BUILD),1)
install:
uninstall:
else
install:
	$(CP) cpiface$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/35-cpiface$(LIB_SUFFIX)"
	$(CP) keyhelp$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/15-keyhelp$(LIB_SUFFIX)"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/35-cpiface$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/15-keyhelp$(LIB_SUFFIX)"
endif
cpikeyhelp.o: cpikeyhelp.c cpiface.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../stuff/poutput.h \
	../stuff/framelock.h
	$(CC) cpikeyhelp.c -o $@ -c

fft.o: fft.c fft.h \
	../config.h
	$(CC) fft.c -o $@ -c

cpianal.o: cpianal.c \
	fft.h \
	cpiface.h \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../boot/psetting.h
	$(CC) cpianal.c -o $@ -c

cpichan.o: cpichan.c \
	cpiface.h \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../stuff/poutput.h
	$(CC) cpichan.c -o $@ -c

cpidots.o: cpidots.c \
	cpiface.h \
	cpipic.h \
	../config.h \
	../types.h \
	../stuff/poutput.h
	$(CC) cpidots.c -o $@ -c

cpigraph.o: cpigraph.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h \
	cpipic.h \
	fft.h
	$(CC) cpigraph.c -o $@ -c

cpiinst.o: cpiinst.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../stuff/poutput.h \
	cpiface.h
	$(CC) cpiinst.c -o $@ -c

cpikube.o: cpikube.c \
	../config.h \
	cpiface.h \
	../types.h \
	../boot/psetting.h \
	../stuff/compat.h \
	../stuff/poutput.h \
	../stuff/timer.h
	$(CC) cpikube.c -o $@ -c

cpilinks.o: cpilinks.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../filesel/pfilesel.h \
	cpiface.h \
	../boot/plinkman.h
	$(CC) cpilinks.c -o $@ -c

cpimsg.o: cpimsg.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h
	$(CC) cpimsg.c -o $@ -c

cpimvol.o: cpimvol.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../stuff/poutput.h \
	cpiface.h
	$(CC) cpimvol.c -o $@ -c

cpiphase.o: cpiphase.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h \
	../stuff/imsrtns.h \
	cpipic.h
	$(CC) cpiphase.c -o $@ -c

cpipic.o: cpipic.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	cpiface.h \
	gif.h \
	tga.h \
	../stuff/compat.h
	$(CC) cpipic.c -o $@ -c

cpiptype.o: cpiptype.c \
	../config.h \
	../types.h \
	../filesel/mdb.h
	$(CC) cpiptype.c -o $@ -c

cpiscope.o: cpiscope.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h \
	cpipic.h
	$(CC) cpiscope.c -o $@ -c

cpitext.o: cpitext.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../filesel/pfilesel.h \
	cpiface.h \
	../boot/psetting.h \
	../boot/plinkman.h
	$(CC) cpitext.c -o $@ -c

cpitrack.o: cpitrack.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../boot/psetting.h \
	cpiface.h
	$(CC) cpitrack.c -o $@ -c

mcpedit.o: mcpedit.c \
	../config.h \
	../types.h \
	cpiface.h \
	../dev/mcp.h \
	../boot/psetting.h \
	../stuff/poutput.h \
	../stuff/sets.h
	$(CC) mcpedit.c -o $@ -c

gif.o: gif.c \
	gif.h \
	../config.h \
	../types.h
	$(CC) gif.c -o $@ -c

tga.o: tga.c \
	tga.h \
	../config.h \
	../types.h
	$(CC) tga.c -o $@ -c

cpiface.o: cpiface.c \
	../config.h \
	../types.h \
	cpiface.h \
	cpipic.h \
	../stuff/compat.h \
	../stuff/err.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../boot/plinkman.h \
	../stuff/framelock.h \
	../stuff/poutput.h \
	../boot/psetting.h \
	../boot/plinkman.h
	$(CC) cpiface.c -o $@ -c

volctrl.o: volctrl.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	cpiface.h \
	../stuff/imsrtns.h \
	vol.h
	$(CC) volctrl.c -o $@ -c

=== dev/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

mixclip_so=mixclip.o

plrbase_so=deviplay.o plrasm.o player.o

devi_so=devigen.o

mcpbase_so=deviwave.o mcp.o mix.o mixasm.o ringbuffer.o smpman.o

mchasm_so=mchasm.o

smpbase_so=devisamp.o sampler.o

ifeq ($(STATIC_BUILD),1)
all: $(mixclip_so) $(plrbase_so) $(devi_so) $(mcpbase_so) $(mchasm_so) $(smpbase_so)
else
all: devi$(LIB_SUFFIX) mcpbase$(LIB_SUFFIX) plrbase$(LIB_SUFFIX) smpbase$(LIB_SUFFIX) mchasm$(LIB_SUFFIX) mixclip$(LIB_SUFFIX)
endif

mixclip$(LIB_SUFFIX): $(mixclip_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

plrbase$(LIB_SUFFIX): $(plrbase_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

devi$(LIB_SUFFIX): $(devi_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

mcpbase$(LIB_SUFFIX): $(mcpbase_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

mchasm$(LIB_SUFFIX): $(mchasm_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

smpbase$(LIB_SUFFIX): $(smpbase_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX) mchasm_test smpman_asminctest ringbuffer-unit-test

ifeq ($(STATIC_BUILD),1)
install:
uninstall:
else
install:
	$(CP) mcpbase$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-mcpbase$(LIB_SUFFIX)"
	$(CP) plrbase$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-plrbase$(LIB_SUFFIX)"
	$(CP) smpbase$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-smpbase$(LIB_SUFFIX)"
	$(CP) mixclip$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/10-mixclip$(LIB_SUFFIX)"
	$(CP) mchasm$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/10-mchasm$(LIB_SUFFIX)"
	$(CP) devi$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/10-devi$(LIB_SUFFIX)"


uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-mcpbase$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-plrbase$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-smpbase$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/10-mixclip$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/10-mchasm$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/10-devi$(LIB_SUFFIX)"
endif

unit-test: ringbuffer-unit-test
	./ringbuffer-unit-test

ringbuffer-unit-test: \
	ringbuffer.c \
	../config.h \
	../types.h
	$(CC) ringbuffer.c -o $@ -DUNIT_TEST

devigen.o: devigen.c devigen.h \
	../config.h \
	../types.h \
	imsdev.h \
	devigen.h \
	../boot/psetting.h \
	../boot/plinkman.h
	$(CC) devigen.c -o $@ -c

deviplay.o: deviplay.c deviplay.h \
	../config.h \
	../types.h \
	../filesel/dirdb.h \
	../filesel/mdb.h \
	../filesel/modlist.h \
	../filesel/pfilesel.h \
	imsdev.h \
	../boot/psetting.h \
	../boot/plinkman.h \
	../stuff/err.h \
	devigen.h \
	player.h \
	../stuff/compat.h
	$(CC) deviplay.c -o $@ -c

devisamp.o: devisamp.c devisamp.h \
	../config.h \
	../types.h \
	../filesel/dirdb.h \
	../filesel/mdb.h \
	../filesel/modlist.h \
	../filesel/pfilesel.h \
	imsdev.h \
	../boot/psetting.h \
	../boot/plinkman.h \
	../stuff/err.h \
	devigen.h \
	sampler.h \
	../stuff/compat.h
	$(CC) devisamp.c -o $@ -c

deviwave.o: deviwave.c deviwave.h \
	../config.h \
	../types.h \
	../filesel/dirdb.h \
	../filesel/mdb.h \
	../filesel/modlist.h \
	../filesel/pfilesel.h \
	imsdev.h \
	player.h \
	../boot/psetting.h \
	../boot/plinkman.h \
	../stuff/err.h \
	devigen.h \
	mcp.h \
	../stuff/compat.h
	$(CC) deviwave.c -c -o $@ -c

mchasm.o: mchasm.c mchasm.h \
	../config.h \
	../types.h \
	../boot/plinkman.h
	$(CC) mchasm.c -o $@ -c

mchasm_test.o: mchasm_test.c mchasm.h \
	../config.h \
	../types.h
	$(CC) mchasm_test.c -o $@ -c

mchasm_test: mchasm.o mchasm_test.o
	$(CC) -o $@ $^

mcp.o: mcp.c mcp.h \
	../config.h \
	../types.h
	$(CC) mcp.c -o $@ -c

mix.o: mix.c mix.h \
	../config.h \
	../types.h \
	mcp.h \
	../stuff/imsrtns.h \
	../stuff/pagesize.inc.c \
	mixasm.h
	$(CC) mix.c -o $@ -c

mixasm.o: mixasm.c mixasm.h \
	../config.h \
	../types.h \
	mix.h
	$(CC) -O mixasm.c -o $@ -c

player.o: player.c player.h \
	../config.h \
	../types.h \
	mchasm.h \
	../stuff/imsrtns.h
	$(CC) player.c -o $@ -c

plrasm.o: plrasm.c plrasm.h \
	../config.h \
	../types.h
	$(CC) plrasm.c -o $@ -c

ringbuffer.o: ringbuffer.c ringbuffer.h \
	../config.h \
	../types.h
	$(CC) ringbuffer.c -o $@ -c

sampler.o: sampler.c sampler.h \
	../config.h \
	../types.h \
	../stuff/imsrtns.h \
	mchasm.h
	$(CC) sampler.c -o $@ -c

smpman.o: smpman.c \
	../config.h \
	../types.h \
	smpman_asminc.c \
	mcp.h
	$(CC) smpman.c -o $@ -c

smpman_asminctest.o: smpman_asminctest.c smpman_asminc.c ../config.h
	$(CC) smpman_asminctest.c -o $@ -c

smpman_asminctest: smpman_asminctest.o
	$(CC) -o $@ $^

mixclip.o: mixclip.c mixclip.h \
	../config.h \
	../types.h \
	../boot/plinkman.h
	$(CC) mixclip.c -o $@ -c

=== devw/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

all: devwnone$(LIB_SUFFIX) devwmix$(LIB_SUFFIX) devwmixf$(LIB_SUFFIX)

test-dwmixa.o: test-dwmixa.c ../config.h dwmix.h dwmixa.h ../stuff/pagesize.inc.c
	$(CC) -c -o $@ test-dwmixa.c

test-dwmixa: test-dwmixa.o dwmixa.o
	$(CC) -o $@ $^

test-dwmixqa.o: test-dwmixqa.c ../config.h ../dev/mix.h devwmix.h dwmix.h dwmixqa.h ../stuff/pagesize.inc.c
	$(CC) -c -o $@ test-dwmixqa.c

test-dwmixqa: test-dwmixqa.o dwmixqa.o
	$(CC) -o $@ $^

test-dwmixfa.o: test-dwmixfa.c ../config.h dwmixfa.h ../stuff/pagesize.inc.c ../dev/mcp.h
	$(CC) -c -o $@ test-dwmixfa.c

test-dwmixfa: test-dwmixfa.o dwmixfa.o
	$(CC) -o $@ $^

devwnone_so=devwnone.o
devwnone$(LIB_SUFFIX): $(devwnone_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

devwmix_so=devwmix.o dwmixa.o dwmixqa.o
devwmix$(LIB_SUFFIX): $(devwmix_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

devwmixf_so=devwmixf.o dwmixfa.o
devwmixf$(LIB_SUFFIX): $(devwmixf_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(MATH_LIBS)

clean:
	rm -f *.o *$(LIB_SUFFIX) test-dwmixqa test-dwmixa test-dwmixfa

install:
	$(CP) devwnone$(LIB_SUFFIX) devwmix$(LIB_SUFFIX) devwmixf$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/devwnone$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/devwmix$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/devwmixf$(LIB_SUFFIX)"

devwnone.o: devwnone.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/imsdev.h \
	../dev/mcp.h \
	../stuff/timer.h \
	../dev/mix.h \
	../stuff/imsrtns.h \
	dwnone_asminc.c
	$(CC) -O devwnone.c -o $@ -c

devwmix.o: devwmix.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/devigen.h \
	../dev/mcp.h \
	../dev/mix.h \
	../stuff/poll.h \
	../dev/player.h \
	devwmix.h \
	../stuff/imsrtns.h \
	../stuff/pagesize.inc.c \
	dwmix.h \
	dwmixa.h \
	dwmixqa.h
	$(CC) devwmix.c -o $@ -c

dwmixa.o: dwmixa.c dwmixa.h \
	dwmixa_x86.c \
	dwmixa_x86_emu.c \
	dwmixa_c.c \
	dwmix.h \
	../config.h \
	../types.h \
	../dev/mix.h \
	../asm_emu/x86*.h
	$(CC) -O dwmixa.c -o $@ -c

dwmixqa.o: dwmixqa.c dwmixqa.h \
	dwmixqa_x86.c \
	dwmixqa_c.c \
	dwmix.h \
	../config.h \
	../types.h
	$(CC) -O dwmixqa.c -o $@ -c

devwmixf.o: devwmixf.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/imsdev.h \
	../dev/mcp.h \
	../dev/mix.h \
	../dev/player.h \
	../stuff/imsrtns.h \
	../stuff/pagesize.inc.c \
	devwmixf.h \
	../stuff/poll.h \
	dwmixfa.h \
	../dev/devigen.h \
	../boot/psetting.h \
	../dev/deviplay.h \
	../boot/plinkman.h
	$(CC) devwmixf.c -o $@ -c

dwmixfa.o: dwmixfa.c \
	dwmixfa_8087.c \
	dwmixfa_8087_emu.c \
	dwmixfa_c.c \
	../config.h \
	../types.h \
	dwmixfa.h \
	../asm_emu/x86*.h
	$(CC) dwmixfa.c -o $@ -c

=== playay/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(BUILD_DUMPTOOLS),1)
	DUMPAY=dumpay
else
	DUMPAY=
endif

TARGETS=aytype$(LIB_SUFFIX) playay$(LIB_SUFFIX) $(DUMPAY)

CFLAGS+=-fPIC

all: $(TARGETS)

clean:
	rm -f *.o *$(LIB_SUFFIX) dumpay

install:
	$(CP) aytype$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-aytype$(LIB_SUFFIX)"
	$(CP) playay$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"
ifeq ($(BUILD_DUMPTOOLS),1)
	$(CP) dumpay "$(DESTDIR)$(BINDIR)/dumpay"
endif


uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-aytype$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/playay$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(BINDIR)/dumpay"

aytype_so=aytype.o
aytype$(LIB_SUFFIX): $(aytype_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

aytype.o: aytype.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../stuff/compat.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h
	$(CC) aytype.c -o $@ -c

playay_so=z80.o sound.o aychan.o aypplay.o ayplay.o
playay$(LIB_SUFFIX): $(playay_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

z80.o: z80.h z80.c z80ops.c edops.c cbops.c main.h
	$(CC) -o $@ z80.c -c

sound.o: sound.c main.h z80.h sound.h \
	../config.h \
	../types.h \
	../dev/player.h
	$(CC) -o $@ sound.c -c

aychan.o: aychan.c \
	ayplay.h \
	sound.h \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../stuff/poutput.h
	$(CC) -o $@ aychan.c -c

aypplay.o: aypplay.c ayplay.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/deviplay.h \
	../dev/player.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h \
	../stuff/sets.h \
	../stuff/timer.h
	$(CC) -o $@ aypplay.c -c

ayplay.o: ayplay.c ayplay.h main.h sound.h z80.h \
	../config.h \
	../types.h \
	../stuff/timer.h \
	../stuff/poll.h \
	../dev/player.h \
	../dev/deviplay.h \
	../dev/ringbuffer.h \
	../stuff/imsrtns.h \
	../dev/plrasm.h
	$(CC) -o $@ ayplay.c -c

dumpay: dumpay.o
	$(CC) $(LDFLAGS) -o $@ $^

dumpay.o: \
	dumpay.c \
	dumpay_z80_dis.c
	$(CC) -o $@ $< -c

=== playflac/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(HAVE_FLAC),1)
TARGETS=flacptype$(LIB_SUFFIX) playflac$(LIB_SUFFIX)
endif

CFLAGS+=-fPIC

all: $(TARGETS)

flactest: flactest.c
	$(CC) -o $@ flactest.c -lFLAC

clean:
	rm -f *.o *$(LIB_SUFFIX) flactest

install:
ifeq ($(HAVE_FLAC),1)
	$(CP) playflac$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"
	$(CP) flacptype$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-flacptype$(LIB_SUFFIX)"
endif

uninstall:
ifeq ($(HAVE_FLAC),1)
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-flacptype$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/playflac$(LIB_SUFFIX)"
endif

flacptype_so=flacptype.o
flacptype$(LIB_SUFFIX): $(flacptype_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

flacptype.o: flacptype.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h
	$(CC) flacptype.c -o $@ -c

playflac_so=flacpplay.o flacplay.o
playflac$(LIB_SUFFIX): $(playflac_so)
	$(CC) $(SHARED_FLAGS) $(LDFLAGS) -o $@ $^ $(FLAC_LIBS)

flacpplay.o: flacpplay.c \
	../config.h \
	../types.h \
	../filesel/pfilesel.h \
	../filesel/mdb.h \
	../stuff/poutput.h \
	../dev/player.h \
	../boot/psetting.h \
	../boot/plinkman.h \
	flacplay.h \
	../stuff/sets.h \
	../stuff/compat.h \
	../stuff/err.h \
	../dev/deviplay.h \
	../cpiface/cpiface.h
	$(CC) flacpplay.c -o $@ $(FLAC_CFLAGS) -c

flacplay.o: flacplay.c \
	../config.h \
	../types.h \
	../stuff/poll.h \
	../stuff/timer.h \
	../dev/deviplay.h \
	../dev/ringbuffer.h \
	../dev/player.h \
	../dev/plrasm.h \
	../stuff/imsrtns.h \
	flacplay.h
	$(CC) flacplay.c -o $@ $(FLAC_CFLAGS) -c

=== playhvl/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(BUILD_DUMPTOOLS),1)
	DUMPAHX=dumpahx
else
	DUMPAHX=
endif

all: hvlptype.o playhvl$(LIB_SUFFIX) $(DUMPAHX)

playhvl_so=loader.o player.o hvlpchan.o hvlpdots.o hvlpinst.o hvlpplay.o hvlplay.o hvlptrak.o
playhvl$(LIB_SUFFIX): $(playhvl_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX) dumpahx

install:
	$(CP) playhvl$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"
ifeq ($(BUILD_DUMPTOOLS),1)
	$(CP) dumpahx "$(DESTDIR)$(BINDIR)/dumpahx"
endif

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/playhvl$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(BINDIR)/dumpahx"

dumpahx: dumpahx.o
	$(CC) $(LDFLAGS) -o $@ $^

dumpahx.o: \
	dumpahx.c
	$(CC) -o $@ $< -c

hvlptype.o: \
	hvlptype.c \
	../config.h \
	../dev/deviplay.h \
	../dev/player.h \
	../dev/plrasm.h \
	../dev/ringbuffer.h \
	../filesel/mdb.h \
	../stuff/imsrtns.h \
	../stuff/poll.h \
	../types.h
	$(CC) -c -o $@ $<

hvlplay.o: \
	hvlplay.c \
	../config.h \
	../cpiface/cpiface.h \
	../dev/deviplay.h \
	../dev/player.h \
	../types.h \
	hvlplay.h \
	loader.h \
	player.h
	$(CC) -c -o $@ $<

hvlpchan.o: \
	hvlpchan.c \
	../config.h \
	../cpiface/cpiface.h \
	../dev/mix.h \
	../stuff/poutput.h \
	../types.h \
	hvlpchan.h \
	hvlplay.h
	$(CC) -c -o $@ $<

hvlpdots.o: \
	hvlpdots.c \
	../config.h \
	../cpiface/cpiface.h \
	../stuff/poutput.h \
	../types.h \
	hvlpdots.h \
	hvlplay.h \
	player.h
	$(CC) -c -o $@ $<

hvlpinst.o: \
	hvlpinst.c \
	../config.h \
	../cpiface/cpiface.h \
	../stuff/poutput.h \
	../types.h \
	hvlpinst.h \
	hvlplay.h \
	player.h
	$(CC) -c -o $@ $<

hvlpplay.o: \
	hvlpplay.c \
	../config.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/player.h \
	../dev/deviplay.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h \
	../stuff/sets.h \
	../types.h \
	hvlplay.h \
	hvlpchan.h \
	hvlpdots.h \
	hvlpinst.h \
	hvlptrak.h \
	player.h
	$(CC) -c -o $@ $<

hvlptrak.o: \
	hvlptrak.c \
	../config.h \
	../cpiface/cpiface.h \
	../stuff/poutput.h \
	../types.h \
	hvlplay.h \
	hvlptrak.h \
	player.h
	$(CC) -c -o $@ $<

loader.o: \
	loader.c \
	loader.h \
	player.h \
	../config.h \
	../types.h
	$(CC) -c -o $@ $<

player.o: \
	player.c \
	player.h  \
	../config.h \
	../types.h
	$(CC) -c -o $@ $<

=== playmp2/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

all: mpptype.o charset.o playmp2$(LIB_SUFFIX)

clean:
	rm -f *.o *$(LIB_SUFFIX)

install:
	$(CP) playmp2$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/playmp2$(LIB_SUFFIX)"

charset.o: charset.c \
	../config.h
	$(CC) charset.c -o $@ -c

mpptype.o: mpptype.c \
	../config.h \
	../types.h \
	../stuff/imsrtns.h \
	../filesel/mdb.h \
	charset.h
	$(CC) mpptype.c -o $@ -c

playmp2_so=mppplay.o mpplay.o
playmp2$(LIB_SUFFIX): $(playmp2_so)
	$(CC) $(SHARED_FLAGS) $(LDFLAGS) -o $@ $^ $(MAD_LIBS) $(MATH_LIBS)

mppplay.o: mppplay.c \
	../config.h \
	../types.h \
	../filesel/pfilesel.h \
	../filesel/mdb.h \
	../stuff/poutput.h \
	../dev/player.h \
	../boot/psetting.h \
	../boot/plinkman.h \
	mpplay.h \
	../stuff/err.h \
	../stuff/sets.h \
	../stuff/compat.h \
	../dev/deviplay.h \
	../cpiface/cpiface.h
	$(CC) mppplay.c -o $@ $(MAD_CFLAGS) -c

mpplay.o: mpplay.c \
	../config.h \
	../types.h \
	../stuff/poll.h \
	../stuff/timer.h \
	../dev/player.h \
	../dev/deviplay.h \
	../dev/ringbuffer.h \
	../dev/plrasm.h \
	../stuff/imsrtns.h \
	mpplay.h
	$(CC) mpplay.c -o $@ $(MAD_CFLAGS) -c

=== playogg/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

all: oggtype.o playogg$(LIB_SUFFIX)

clean:
	rm -f *.o *$(LIB_SUFFIX)

install:
	$(CP) playogg$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/playogg$(LIB_SUFFIX)"

playogg_so=oggplay.o oggpplay.o
playogg$(LIB_SUFFIX): $(playogg_so)
	$(CC) $(SHARED_FLAGS) $(LDFLAGS) -o $@ $^ $(OGG_LIBS) $(MATH_LIBS) $(VORBIS_LIBS) $(VORBISFILE_LIBS)

oggtype.o: oggtype.c \
	../config.h \
	../types.h \
	../filesel/mdb.h
	$(CC) oggtype.c -o $@ -c

oggplay.o: oggplay.c \
	../config.h \
	../types.h \
	../stuff/poll.h \
	../stuff/timer.h \
	../dev/player.h \
	../dev/deviplay.h \
	../dev/ringbuffer.h \
	../dev/plrasm.h \
	../stuff/imsrtns.h \
	oggplay.h
	$(CC) oggplay.c -o $@ $(OGG_CFLAGS) $(VORBIS_CFLAGS) $(VORBISFILE_CFLAGS) -c

oggpplay.o: oggpplay.c \
	../config.h \
	../types.h \
	../filesel/pfilesel.h \
	../filesel/mdb.h \
	../stuff/poutput.h \
	../dev/player.h \
	../boot/psetting.h \
	../boot/plinkman.h \
	oggplay.h \
	../stuff/sets.h \
	../stuff/compat.h \
	../stuff/err.h \
	../dev/deviplay.h \
	../cpiface/cpiface.h
	$(CC) oggpplay.c -o $@ $(OGG_CFLAGS) $(VORBIS_CFLAGS) $(VORBISFILE_CFLAGS) -c

=== playsid/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(HAVE_SIDPLAY),1)
TARGETS=sidtype$(LIB_SUFFIX) playsid$(LIB_SUFFIX)
endif

all: $(TARGETS)

clean:
	rm -f *.o *$(LIB_SUFFIX)

install:
ifeq ($(HAVE_SIDPLAY),1)
	$(CP) playsid$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"
	$(CP) sidtype$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-playsid$(LIB_SUFFIX)"
endif

uninstall:
ifeq ($(HAVE_SIDPLAY),1)
	rm -f "$(DESTDIR)$(LIBDIR)/sidtype$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/autoload/30-playsid$(LIB_SUFFIX)"
endif

playsid_so=sidplay.o sidpplay.o
playsid$(LIB_SUFFIX): $(playsid_so)
	$(CXX) $(SHARED_FLAGS) $(LDFLAGS) -o $@ $^ -lsidplay

sidtype_so=sidptype.o
sidtype$(LIB_SUFFIX): $(sidtype_so)
	$(CC) $(SHARED_FLAGS) $(LDFLAGS) -o $@ $^

sidptype.o: sidptype.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../filesel/mdb.h
	$(CC) sidptype.c -o $@ -c

sidplay.o: sidplay.cpp \
	../config.h \
	../types.h \
	../stuff/poll.h \
	../dev/player.h \
	../dev/plrasm.h \
	../dev/deviplay.h \
	../dev/mixclip.h \
	../cpiface/cpiface.h \
	../boot/psetting.h\
	sid.h \
	opstruct.h
	$(CXX) sidplay.cpp -o $@ -c

sidpplay.o: sidpplay.cpp \
	../config.h \
	../types.h \
	../filesel/mdb.h \
	../stuff/poutput.h \
	../dev/player.h \
	../boot/psetting.h \
	../boot/plinkman.h \
	../stuff/compat.h \
	../stuff/sets.h \
	../dev/deviplay.h \
	../cpiface/cpiface.h \
	../stuff/compat.h \
	../stuff/timer.h \
	sid.h
	$(CXX) sidpplay.cpp -o $@ -c

=== playxm/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

all: xmpptype.o playxm$(LIB_SUFFIX)

playxm_so=xmlmod.o xmlmxm.o xmload.o xmload.o xmpinst.o xmplay.o xmpplay.o xmptrak.o xmrtns.o xmtime.o
playxm$(LIB_SUFFIX): $(playxm_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX)

install:
	$(CP) playxm$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/playxm$(LIB_SUFFIX)"

xmpptype.o: xmpptype.c \
	../config.h \
	../types.h \
	../filesel/mdb.h
	$(CC) xmpptype.c -o $@ -c

xmlmod.o: xmlmod.c \
	../config.h \
	xmplay.h \
	../types.h \
	../dev/mcp.h \
	../stuff/err.h
	$(CC) xmlmod.c -o $@ -c

xmlmxm.o: xmlmxm.c \
	../config.h \
	xmplay.h \
	../types.h \
	../dev/mcp.h \
	../stuff/err.h
	$(CC) xmlmxm.c -o $@ -c

xmload.o: xmload.c \
	../config.h \
	xmplay.h \
	../types.h \
	../dev/mcp.h \
	../stuff/err.h
	$(CC) xmload.c -o $@ -c

xmpinst.o: xmpinst.c \
	../config.h \
	xmplay.h \
	../types.h \
	../dev/mcp.h \
	../stuff/poutput.h \
	../cpiface/cpiface.h
	$(CC) xmpinst.c -o $@ -c

xmplay.o: xmplay.c \
	../config.h \
	xmplay.h \
	../types.h \
	../dev/mcp.h \
	../stuff/err.h
	$(CC) xmplay.c -o $@ -c

xmpplay.o: xmpplay.c \
	../config.h \
	xmplay.h \
	../types.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../dev/deviwave.h \
	../stuff/compat.h \
	../stuff/poutput.h \
	../filesel/pfilesel.h \
	../filesel/mdb.h \
	../stuff/compat.h \
	../stuff/err.h \
	../cpiface/cpiface.h
	$(CC) xmpplay.c -o $@ -c

xmptrak.o: xmptrak.c \
	../config.h \
	xmplay.h \
	../types.h \
	../stuff/poutput.h \
	../cpiface/cpiface.h
	$(CC) xmptrak.c -o $@ -c

xmrtns.o: xmrtns.c \
	../config.h \
	xmplay.h \
	../types.h \
	../dev/mcp.h \
	../stuff/err.h
	$(CC) xmrtns.c -o $@ -c

xmtime.o: xmtime.c \
	../config.h \
	xmplay.h \
	../types.h \
	../stuff/err.h
	$(CC) xmtime.c -o $@ -c

=== debian/changelog ===
ocp (1:0.2.0-3) unstable; urgency=medium

  * Team upload
  * Fixup dependency on libbinio-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Feb 2020 08:54:47 +0100

ocp (1:0.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Gianfranco Costamagna ]
  * Upload to sid.

  [ Gürkan Myczko ]
  * Enable adplug support
  * Require at least libbinio-dev >= 1.5

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Feb 2020 14:55:55 +0100

ocp (1:0.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.1.
  * Update homepage.
  * Swap Maintainer/Uploader fields.
  * Add Vcs fields.
  * d/rules: Refreshed.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 28 Nov 2019 08:58:19 +0100

ocp (1:0.1.21-5) unstable; urgency=medium

  * Also build on GNU/Hurd, 2nd try.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 12 Dec 2018 09:09:00 +0100

ocp (1:0.1.21-4) unstable; urgency=medium

  * Also build on GNU/Hurd.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 11 Dec 2018 09:44:06 +0100

ocp (1:0.1.21-3) unstable; urgency=medium

  * Bump standard version to 4.2.1.
  * Bump debhelper version to 11.
  * debian/install: install desktop icon.
  * Improve upstream desktop file.
  * debian/menu: dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 10 Sep 2018 14:30:36 +0200

=== debian/control ===
Source: ocp
Section: sound
Priority: optional
Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11),
               desktop-file-utils,
               dpkg (>= 1.15.4),
               libadplug-dev (>= 2.3.1),
               libbinio-dev (>= 1.5),
               libsdl2-dev,
               libasound2-dev,
               libflac-dev,
               libid3tag0-dev,
               libmad0-dev,
               libncursesw5-dev | libncurses5-dev,
               libogg-dev,
               libsidplay1-dev,
               libvorbis-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               libxxf86dga-dev,
               libxxf86vm-dev,
               texinfo,
               zlib1g-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/multimedia-team/ocp.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ocp
Homepage: https://stian.cubic.org/project-ocp.php

Package: opencubicplayer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freepats, opencubicplayer-doc
Provides: audio-mixer, mp3-decoder, mp3-encoder, x-audio-mixer
Description: UNIX port of Open Cubic Player
 This is a port of the Open Cubic Player to UNIX from DOS. Provides a
 nice textbased frontend, with some few optional features in graphical.
 Plays modules, sids, wave, audio CD, midi, ogg, flac, adlib, mp3, ahx,
 hvl, and ym.

Package: opencubicplayer-doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Section: doc
Description: Documentation for UNIX port of Open Cubic Player
 This is the documentation for the  port of the Open Cubic Player to
 UNIX from DOS. Provides a nice textbased frontend, with some few
 optional features in graphical. Plays modules, sids, wave, audio CD,
 midi, ogg, flac, adlib, mp3, and ym.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += -Wall -g -fPIC
CXXFLAGS += -fPIC

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
        --prefix=/usr \
        --exec-prefix=/usr \
        --mandir=\$${prefix}/share/man \
        --sysconfdir=/etc \
        --datadir=\$${prefix}/share/ocp \
        --libdir=\$${prefix}/lib \
        --bindir=\$${prefix}/bin \
        --infodir=\$${prefix}/share/info \
        --with-x11 \
        --with-dir-suffix= \
        --with-ncurses \
        --with-adplug
#        --with-freepats=\$${prefix}/share/midi/freepats \

override_dh_auto_build:
	$(MAKE)

override_dh_autoreconf:
	@echo BLIP
#	dh_autoreconf --as-needed

##	AUTOMAKE=true LIBTOOLIZE=true AUTOHEADER=true dh_autoreconf
#	dh_autotools-dev_updateconfig
#	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
#	./configure --host=$(DEB_HOST_GNU_TYPE) \
#        --build=$(DEB_BUILD_GNU_TYPE) \

#clean:
#	rm -f config.log config.status
#	dh_autoreconf_clean
#	dh_autotools-dev_restoreconfig
#	dh_clean

#install: build
#	dh_testdir
#	dh_testroot
#	dh_prep
#	dh_installdirs
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/opencubicplayer
#	-mv debian/opencubicplayer/usr/share/doc/ocp/html/* \
#            debian/opencubicplayer-doc/usr/share/doc/opencubicplayer-doc/html/
#	-rm -rf debian/opencubicplayer/usr/share/doc/ocp
#	cp debian/opencubicplayer32.xpm debian/opencubicplayer/usr/share/pixmaps/opencubicplayer.xpm
##	cp goodies/pack/pack $(CURDIR)/debian/opencubicplayer/usr/bin/pak
#	rm -f debian/opencubicplayer/usr/bin/ultrafix.sh
#	rm -rf debian/opencubicplayer/usr/share/ocp/ocp/
#	rm -rf $(CURDIR)/debian/opencubicplayer/usr/share/info/dir*

#	dh_link -popencubicplayer usr/share/man/man1/ocp.1 usr/share/man/man1/xocp.1
#	dh_link -popencubicplayer usr/share/man/man1/ocp.1 usr/share/man/man1/ocp-curses.1
#	dh_link -popencubicplayer usr/share/man/man1/ocp.1 usr/share/man/man1/ocp-sdl2.1
#	dh_link -popencubicplayer usr/share/man/man1/ocp.1 usr/share/man/man1/ocp-vcsa.1
#	dh_link -popencubicplayer usr/share/man/man1/ocp.1 usr/share/man/man1/ocp-x11.1

## ocp 0.2.2%2Bds

=== playay/Makefile ===
--- 
+++ 
@@ -98,5 +98,7 @@
 
 dumpay.o: \
 	dumpay.c \
-	dumpay_z80_dis.c
+	dumpay_z80_dis.c \
+	z80.c \
+	z80ops.c
 	$(CC) -o $@ $< -c

=== playxm/Makefile ===
--- 
+++ 
@@ -1,20 +1,38 @@
 TOPDIR=../
 include $(TOPDIR)Rules.make
 
-all: xmpptype.o playxm$(LIB_SUFFIX)
+ifeq ($(BUILD_DUMPTOOLS),1)
+	DUMPERS=dumpmod
+else
+	DUMPERS=
+endif
+
+all: xmpptype.o playxm$(LIB_SUFFIX) $(DUMPERS)
 
 playxm_so=xmlmod.o xmlmxm.o xmload.o xmload.o xmpinst.o xmplay.o xmpplay.o xmptrak.o xmrtns.o xmtime.o
 playxm$(LIB_SUFFIX): $(playxm_so)
 	$(CC) $(SHARED_FLAGS) -o $@ $^
 
 clean:
-	rm -f *.o *$(LIB_SUFFIX)
+	rm -f *.o *$(LIB_SUFFIX) dumpmod
 
 install:
 	$(CP) playxm$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"
+ifeq ($(BUILD_DUMPTOOLS),1)
+	$(CP) dumpmod "$(DESTDIR)$(BINDIR)/dumpmod"
+endif
 
 uninstall:
 	rm -f "$(DESTDIR)$(LIBDIR)/playxm$(LIB_SUFFIX)"
+	rm -f "$(DESTDIR)$(BINDIR)/dumpmod"
+
+dumpmod: dumpmod.o
+	$(CC) $(LDFLAGS) -o $@ $^
+
+dumpmod.o: \
+	dumpmod.c
+	$(CC) -o $@ $< -c
+
 
 xmpptype.o: xmpptype.c \
 	../config.h \
